import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "imms_10editview": {
            "title": "重要事项编辑视图(拟稿)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_10EditView",
            "viewtag": "07cb2f4c4b05ff1a31b97d2e13ea4f2d"
        },
        "imms_30editview": {
            "title": "重要事项编辑视图(已完成)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_30EditView",
            "viewtag": "122c815e9ad8c3cef5b50b027e774312"
        },
        "orgdeptpickupgridview": {
            "title": "部门选择表格视图",
            "caption": "部门",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgDeptPickupGridView",
            "viewtag": "2086a6faa969ebe4f3b13020e130e00c"
        },
        "orguserpickupgridview": {
            "title": "组织用户选择表格视图",
            "caption": "组织用户",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgUserPickupGridView",
            "viewtag": "2423ba8635bc8c109c24778f08654f3b"
        },
        "appindexview": {
            "title": "首页",
            "caption": "首页",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "AppIndexView",
            "viewtag": "2530708d453013b497aebeb7a0a9cd7c"
        },
        "imprinteditview": {
            "title": "重要事项编辑视图",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMPrintEditView",
            "viewtag": "3224c6a6856340485aa9dd41408bb293"
        },
        "imms_20editview": {
            "title": "重要事项编辑视图(审批中)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20EditView",
            "viewtag": "3f832a7415c060234ef4ce0cf1041787"
        },
        "bcms_20editview3": {
            "title": "业务协作编辑视图(审批中)",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HT",
            "viewname": "BCMS_20EditView3",
            "viewtag": "41e951780a5a6835c7693151faa5eae5"
        },
        "imeditview": {
            "title": "重要事项编辑视图",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMEditView",
            "viewtag": "5d7a639edfd5985268c84d54f68ab923"
        },
        "imms_20_40editview": {
            "title": "重要事项编辑视图(审批中_部门会签)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_40EditView",
            "viewtag": "63ec73e6599bdcbf1361e28ff3cece94"
        },
        "orgdeptmpickupview": {
            "title": "部门数据多项选择视图",
            "caption": "部门",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgDeptMPickupView",
            "viewtag": "6430c67f216ba1ef2dcdfcdcf9f78c0b"
        },
        "imgridview": {
            "title": "重要事项表格视图",
            "caption": "重要事项",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HT",
            "viewname": "IMGridView",
            "viewtag": "66e7c3bac4ef4acabffcb9f916eb2710"
        },
        "orgusermpickupview": {
            "title": "组织用户数据多项选择视图",
            "caption": "组织用户",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgUserMPickupView",
            "viewtag": "710677ca38e3b6f51a1bbfbed75dc0ea"
        },
        "bcms_10editview3": {
            "title": "业务协作编辑视图(拟稿)",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HT",
            "viewname": "BCMS_10EditView3",
            "viewtag": "77c2655022f7d2e4861a2014bc66533f"
        },
        "imms_20_80editview": {
            "title": "重要事项编辑视图(审批中_首席风险官审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_80EditView",
            "viewtag": "837ce21d01f7523c7f8ae33a19cef4a8"
        },
        "orgdeptpickupview": {
            "title": "部门数据选择视图",
            "caption": "部门",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgDeptPickupView",
            "viewtag": "8d5eb211c4409a5361b5d57fd978b04e"
        },
        "orguserpickupview": {
            "title": "组织用户数据选择视图",
            "caption": "组织用户",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "r7rt_org",
            "viewname": "OrgUserPickupView",
            "viewtag": "9b2aee730866b3b5f471cc06207bc577"
        },
        "imredirectview": {
            "title": "重要事项数据重定向视图",
            "caption": "重要事项",
            "viewtype": "DEREDIRECTVIEW",
            "viewmodule": "HT",
            "viewname": "IMRedirectView",
            "viewtag": "9baf7fbac614f48a25e6c32032aa53fc"
        },
        "imms_20_50editview": {
            "title": "重要事项编辑视图(审批中_跨公司会签)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_50EditView",
            "viewtag": "a6052cd14d64698a06fa01a6418d0d71"
        },
        "fjgridview": {
            "title": "附件表格视图",
            "caption": "附件",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HT",
            "viewname": "FJGridView",
            "viewtag": "ace8e88d1e4ed28e51c8f680dba7fbd4"
        },
        "wfstepdataeditview": {
            "title": "流程步骤信息编辑视图",
            "caption": "流程步骤信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFSTEPDATAEditView",
            "viewtag": "acf34db9a7555fae8df08b5eeab7597f"
        },
        "fjgridview9": {
            "title": "附件表格视图",
            "caption": "附件",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HT",
            "viewname": "FJGridView9",
            "viewtag": "ad299142501a32d88013bf9b7551187c"
        },
        "imms_20_60editview": {
            "title": "重要事项编辑视图(审批中_公司领导审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_60EditView",
            "viewtag": "b988aed45d0338732fdcf29d49ea2878"
        },
        "bcms_40editview3": {
            "title": "业务协作编辑视图(已取消)",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HT",
            "viewname": "BCMS_40EditView3",
            "viewtag": "c7f5be84e55a94937dbbcc02329cd96f"
        },
        "imwfproxystartview": {
            "title": "重要事项工作流启动视图",
            "caption": "重要事项",
            "viewtype": "DEWFPROXYSTARTVIEW",
            "viewmodule": "HT",
            "viewname": "IMWFProxyStartView",
            "viewtag": "c81c722befcea0f873c22cfed1f5cd57"
        },
        "wfstepdatadatagridview9": {
            "title": "流程步骤信息表格视图",
            "caption": "流程步骤信息",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "r7rt_wf",
            "viewname": "WFSTEPDATADataGridView9",
            "viewtag": "c82e429ea1425487d3744b4e3773811d"
        },
        "imms_20_20editview": {
            "title": "重要事项编辑视图(审批中_上级部门审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_20EditView",
            "viewtag": "c8f8dcebfaf706c250c15db2af84f826"
        },
        "imms_20_30editview": {
            "title": "重要事项编辑视图(审批中_分送)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_30EditView",
            "viewtag": "d319a68735ca99972383870b5bf1f860"
        },
        "imms_20_10editview": {
            "title": "重要事项编辑视图(审核中_部门内审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_10EditView",
            "viewtag": "dbedebc1134b9d3bf831376e1b6e209a"
        },
        "fjeditview": {
            "title": "附件编辑视图",
            "caption": "附件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "FJEditView",
            "viewtag": "eee05806e7847093bb65b0d7f08601e7"
        },
        "imms_20_90editview": {
            "title": "重要事项编辑视图(审批中_合规总监审批)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_90EditView",
            "viewtag": "ef20b1ad75f1aafb2184791766f6a7be"
        },
        "bceditview": {
            "title": "业务协作编辑视图",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "BCEditView",
            "viewtag": "f429ced3946be22590dd769b31c00a47"
        },
        "imms_20_70editview": {
            "title": "重要事项编辑视图(审批中_业务协作)",
            "caption": "重要事项",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HT",
            "viewname": "IMMS_20_70EditView",
            "viewtag": "f61ac5d88edad94de95647f2228768e7"
        },
        "bcms_30editview3": {
            "title": "业务协作编辑视图(已完成)",
            "caption": "业务协作",
            "viewtype": "DEEDITVIEW3",
            "viewmodule": "HT",
            "viewname": "BCMS_30EditView3",
            "viewtag": "fdb3379c6a8e4d6c612136ba8c865ea0"
        },
        "bcgridview9": {
            "title": "业务协作表格视图",
            "caption": "业务协作",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HT",
            "viewname": "BCGridView9",
            "viewtag": "feab63fc88433b0979149bde025d7b0f"
        },
        "appredirectview": {
            "title": "应用数据重定向视图",
            "caption": "应用全局数据重定向视图",
            "viewtype": "APPREDIRECTVIEW",
            "viewmodule": "Ungroup",
            "viewname": "AppRedirectView",
            "viewtag": "ffcf820fb68bb29009ef9d9d1ca5464b"
        }
    }];
});